/*
 *	Definitions that must be used adn correspond with kernel module:
 *                                               ip_faulty_router.o
 */

/* rule types */
#define DROP	1
#define REORDER	2

/* operation types */
#define APPEND	0
#define INSERT	1
#define UPDATE	2
#define DELETE	3
#define FLUSH	4
#define LIST 	5

/* transport layer protocols */
#define PROTO_ALL	-1
#define PROTO_ICMP	1
#define PROTO_IGMP	2
#define	PROTO_TCP	6
#define PROTO_UDP	17

struct params{
	int rule_type; /* packet order of packet drop */
	int operation; /* append, insert, update, delete, flush */
	int proto; /* transport layer protocol */
	int rule_num; /* only used for insert, update and delete operations */
	int min_size; /* min size of packet to match */
	int max_size; /* max size of packet to match */
	int max_burst_size; /* packet reordering only!, max no of packets in burst*/
	int max_delay_size; /* packet reordering only!, max packets to delay by */
	int burst_skew; /* percentage skew */
	int delay_skew; /* percentage skew */
	int probability; /* chance in 1000 */
};

